"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSlotsProps = void 0;
const vue_1 = require("vue");
const pro_utils_1 = require("@gx-design-vue/pro-utils");
function useSlotsProps(slotsName, slots, props) {
    const renderSlotsAndProps = (0, vue_1.ref)({});
    if (slotsName) {
        const watchSlotsList = Object.keys(slots).map(item => () => { var _a; return (_a = slots[item]) === null || _a === void 0 ? void 0 : _a.call(slots); });
        (0, vue_1.watch)([
            () => props
        ].concat(watchSlotsList), () => {
            renderSlotsAndProps.value = (0, pro_utils_1.getSlotsProps)(slotsName, slots, props);
        }, {
            deep: true,
            immediate: true
        });
    }
    return renderSlotsAndProps;
}
exports.useSlotsProps = useSlotsProps;
